KMS.KMSOp (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.crypto.key.kms.server, class: KMS, enum: KMSOp

Package org.apache.hadoop.crypto.key.kms.server

# Enum Class KMS.KMSOp

java.lang.Object
java.lang.Enum<KMS.KMSOp>
org.apache.hadoop.crypto.key.kms.server.KMS.KMSOp

All Implemented Interfaces:
  `Serializable`, `Comparable<KMS.KMSOp>`, `Constable`

Enclosing class:
  org.apache.hadoop.crypto.key.kms.server.KMS

public static enum KMS.KMSOp extends Enum<KMS.KMSOp>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CREATE_KEY`
  `DECRYPT_EEK`
  `DELETE_KEY`
  `GENERATE_EEK`
  `GET_CURRENT_KEY`
  `GET_KEY_VERSION`
  `GET_KEY_VERSIONS`
  `GET_KEYS`
  `GET_KEYS_METADATA`
  `GET_METADATA`
  `INVALIDATE_CACHE`
  `REENCRYPT_EEK`
  `REENCRYPT_EEK_BATCH`
  `ROLL_NEW_VERSION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static KMS.KMSOp`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static KMS.KMSOp[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CREATE_KEY

    public static final KMS.KMSOp CREATE_KEY

  - ### DELETE_KEY

    public static final KMS.KMSOp DELETE_KEY

  - ### ROLL_NEW_VERSION

    public static final KMS.KMSOp ROLL_NEW_VERSION

  - ### INVALIDATE_CACHE

    public static final KMS.KMSOp INVALIDATE_CACHE

  - ### GET_KEYS

    public static final KMS.KMSOp GET_KEYS

  - ### GET_KEYS_METADATA

    public static final KMS.KMSOp GET_KEYS_METADATA

  - ### GET_KEY_VERSIONS

    public static final KMS.KMSOp GET_KEY_VERSIONS

  - ### GET_METADATA

    public static final KMS.KMSOp GET_METADATA

  - ### GET_KEY_VERSION

    public static final KMS.KMSOp GET_KEY_VERSION

  - ### GET_CURRENT_KEY

    public static final KMS.KMSOp GET_CURRENT_KEY

  - ### GENERATE_EEK

    public static final KMS.KMSOp GENERATE_EEK

  - ### DECRYPT_EEK

    public static final KMS.KMSOp DECRYPT_EEK

  - ### REENCRYPT_EEK

    public static final KMS.KMSOp REENCRYPT_EEK

  - ### REENCRYPT_EEK_BATCH

    public static final KMS.KMSOp REENCRYPT_EEK_BATCH

- ## Method Details

  - ### values

    public static KMS.KMSOp[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static KMS.KMSOp valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null